Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadmin.editors
Class TransferableResourceCell

    java.lang.Object
      |
      +--org.w3c.jigadmin.editors.TransferableResourceCell

public class TransferableResourceCell
extends java.lang.Object
implements java.awt.datatransfer.Transferable

The transferable ResourceCell

See Also:
  `ResourceCell`

Field Summary
`static java.awt.datatransfer.DataFlavor` | `RESOURCE_CELL_FLAVOR`

Constructor Summary
`TransferableResourceCell(ResourceCell data)` Constructor

Method Summary
`java.lang.Object` | `getTransferData(java.awt.datatransfer.DataFlavor flavor)` Returns an object which represents the data to be transferred.
`java.awt.datatransfer.DataFlavor[]` | `getTransferDataFlavors()` Returns an array of DataFlavor objects indicating the flavors the data can be provided in.
`boolean` | `isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)` Returns whether or not the specified data flavor is supported for this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESOURCE_CELL_FLAVOR

    public static final java.awt.datatransfer.DataFlavor RESOURCE_CELL_FLAVOR

Constructor Detail

### TransferableResourceCell

    public TransferableResourceCell(ResourceCell data)

  Constructor
  Parameters:
    `data` - The ResourceCell

Method Detail

### getTransferDataFlavors

    public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

  Returns an array of DataFlavor objects indicating the flavors the data can be provided in. The array should be ordered according to preference for providing the data (from most richly descriptive to least descriptive).
  Specified by:
    getTransferDataFlavors in interface java.awt.datatransfer.Transferable
  Returns:
    an array of data flavors in which this data can be transferred

### isDataFlavorSupported

    public boolean isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)

  Returns whether or not the specified data flavor is supported for this object.
  Specified by:
    isDataFlavorSupported in interface java.awt.datatransfer.Transferable
  Parameters:
    `flavor` - the requested flavor for the data
  Returns:
    boolean indicating wether or not the data flavor is supported

### getTransferData

    public java.lang.Object getTransferData(java.awt.datatransfer.DataFlavor flavor)
                                     throws java.awt.datatransfer.UnsupportedFlavorException,
                                            java.io.IOException

  Returns an object which represents the data to be transferred. The class of the object returned is defined by the representation class of the flavor.
  Specified by:
    getTransferData in interface java.awt.datatransfer.Transferable
  Parameters:
    `flavor` - the requested flavor for the data
  Returns:
    an object which represents the data to be transferred
  Throws:
    java.io.IOException - if the data is no longer available in the requested flavor.
    java.awt.datatransfer.UnsupportedFlavorException - if the requested data flavor is not supported.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD